Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.proscene
Class PSWorldConstraint

    java.lang.Object
      codeanticode.proscene.PSConstraint
          codeanticode.proscene.PSAxisPlaneConstraint
              codeanticode.proscene.PSWorldConstraint

    public class PSWorldConstraint

extends PSAxisPlaneConstraint

A PSAxisPlaneConstraint defined in the world coordinate system.

The `PSAxisPlaneConstraint.translationConstraintDirection()` and `PSAxisPlaneConstraint.rotationConstraintDirection()` are expressed in the PSFrame world coordinate system (see `proscene.PSFrame#referenceFrame()`).

Nested Class Summary

Nested classes/interfaces inherited from class codeanticode.proscene.PSAxisPlaneConstraint
`PSAxisPlaneConstraint.Type`

Constructor Summary
`PSWorldConstraint()`

Method Summary
`PSQuaternion` | `constrainRotation(PSQuaternion rotation, PSFrame frame)` When `PSAxisPlaneConstraint.rotationConstraintType()` is of type AXIS, constrain `rotation` to be a rotation around an axis whose direction is defined in the PSFrame world coordinate system by `PSAxisPlaneConstraint.rotationConstraintDirection()`.
`processing.core.PVector` | `constrainTranslation(processing.core.PVector translation, PSFrame frame)` Depending on `PSAxisPlaneConstraint.translationConstraintType()`, `constrain` translation to be along an axis or limited to a plane defined in the PSFrame world coordinate system by `PSAxisPlaneConstraint.translationConstraintDirection()`.

Methods inherited from class codeanticode.proscene.PSAxisPlaneConstraint
`rotationConstraintDirection, rotationConstraintType, setRotationConstraint, setRotationConstraintDirection, setRotationConstraintType, setTranslationConstraint, setTranslationConstraintDirection, setTranslationConstraintType, translationConstraintDirection, translationConstraintType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSWorldConstraint

    public PSWorldConstraint()

Method Detail

### constrainTranslation

    public processing.core.PVector constrainTranslation(processing.core.PVector translation,
                                                        PSFrame frame)

  Depending on `PSAxisPlaneConstraint.translationConstraintType()`, `constrain` translation to be along an axis or limited to a plane defined in the PSFrame world coordinate system by `PSAxisPlaneConstraint.translationConstraintDirection()`.

  Overrides:
    `constrainTranslation` in class `PSConstraint`

### constrainRotation

    public PSQuaternion constrainRotation(PSQuaternion rotation,
                                          PSFrame frame)

  When `PSAxisPlaneConstraint.rotationConstraintType()` is of type AXIS, constrain `rotation` to be a rotation around an axis whose direction is defined in the PSFrame world coordinate system by `PSAxisPlaneConstraint.rotationConstraintDirection()`.

  Overrides:
    `constrainRotation` in class `PSConstraint`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008